Skip to main content

TppMessagesResponse

tppMessages object[]required

Messages to the TPP on operational issues.

  • Array [
  • categorystringrequired

    Category designates the message severity.

    Possible values: [ERROR, WARN]

    codestringrequired

    Message error codes:

    • PARAMETER_NOT_SUPPORTED: The parameter is not supported by the API.
    • FORMAT_ERROR: Format of certain request fields are not matching the API requirements. An explicit path to the corresponding field might be added in the return message.
    • SERVICE_INVALID: The addressed service is not valid for the addressed resources or the submitted data.
    • PAYMENT_FAILED: The payment initiation POST request failed during the initial process.
    • FEATURE_NOT_ENABLED: The request failed due to disabled feature. .
    • NOT_FOUND: The request failed due to not found message. .
    • ORIGINAL_MESSAGE_ALREADY_REPLIED: The associated message already has a response.
    • ORIGINAL_MESSAGE_PENDING_REPLY: The associated message has no response.
    • INVALID_TRANSACTION_STATUS: The request failed due to invalid transaction status.
    • INVALID_REQUEST_BODY: The request failed due to invalid request body.
    • INVALID_TRANSACTION_STATE: The request failed due to invalid transaction state.
    • INVALID_MESSAGE_TYPE: The request failed due to invalid message type.

    Possible values: [PARAMETER_NOT_SUPPORTED, FORMAT_ERROR, SERVICE_INVALID, PAYMENT_FAILED, FEATURE_NOT_ENABLED, NOT_FOUND, ORIGINAL_MESSAGE_ALREADY_REPLIED, ORIGINAL_MESSAGE_PENDING_REPLY, INVALID_TRANSACTION_STATUS, INVALID_REQUEST_BODY, INVALID_TRANSACTION_STATE, INVALID_MESSAGE_TYPE, TOO_MANY_EVENTS_FOUND, NO_EVENTS_FOUND, TENANT_NOT_FOUND, TOO_MANY_COMMANDS_FOUND, NO_COMMANDS_FOUND]

    pathstring
    textstring

    Additional explaining text.

    Possible values: non-empty and <= 512 characters

    errorCodestring

    Payment error code. Gives a more detailed analysis of any problems which may have occurred during the payment processing.

    errorReasonstring

    Payment error reason. Gives a more detailed analysis of any problems which may have occurred during the payment processing.

  • ]
  • TppMessagesResponse
    {
    "tppMessages": [
    {
    "category": "ERROR",
    "code": "PARAMETER_NOT_SUPPORTED",
    "path": "string",
    "text": "string",
    "errorCode": "string",
    "errorReason": "string"
    }
    ]
    }